SDL_WaitSemaphore(3)

NAME
SDL_WaitSemaphore - Wait until a semaphore has a positive value and then decrements it.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

void SDL_WaitSemaphore(SDL_Semaphore *sem);

DESCRIPTION
This function suspends the calling thread until the semaphore pointed to by sem has a positive value, and then atomically decrement the semaphore value.

This function is the equivalent of calling SDL_WaitSemaphoreTimeout() with a time length of -1.

FUNCTION PARAMETERS

sem the semaphore wait on.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SignalSemaphore(3), SDL_TryWaitSemaphore(3), SDL_WaitSemaphoreTimeout(3)